%global forgeurl https://github.com/rlancaste/stellarsolver/
%global commit 832bc60feb1fc8ffdf2780ccdd413c3baea648fb
%global major_soversion 1
%global minor_soversion 9

%forgemeta

Name:           stellarsolver
Version:        1.9
Release:        1%{?dist}
Summary:        The Cross Platform Sextractor and Internal Astrometric Solver

License:        BSD and GPLv2+ and GPLv3+ and LGPLv2+ and LGPLv3+
# License breakdown
#
# Whole work according to LICENSE: GPLv3+
#
# Below: Files with explicitly different license
#
# BSD 3-clause:
#   stellarsolver/astrometry/* EXCEPT files mentioned below,
#          check stellarsolver/astrometry/LICENSE
#
# GPLv2+:
#   stellarsolver/*.{cpp,h}
#   stellarsolver/astrometry/include/astrometry/*qfits*.h
#   stellarsolver/astrometry/qfits-an/*
#   stellarsolver/astrometry/util/{bt.c,md5.c}
#   tester/{dms,mainwindow,nan,stretch}.*
#
# LGPLv2+:
#   tester/bayer.*
#
# LGPLv3+:
#   stellarsolver/sep/*
#   
URL:            %{forgeurl}
Source0:        %{forgesource}

# Buildtime tools
BuildRequires:  cmake
BuildRequires:  gcc-c++
# Libraries
BuildRequires:  cfitsio-devel
BuildRequires:  gsl-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  wcslib-devel

# The source code bundles modified code from astrometry.net and SEP
Provides:       bundled(astrometry) = 0.89
Provides:       bundled(sep) = 1.2.0

# We split shared libs into subpackage, thus we should require its exact
# version here
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
StellarSolver is the Cross Platform Sextractor and Internal Astrometric Solver:
* An Astrometric Plate Solver for Mac, Linux, and Windows, built on
  Astrometry.net and SEP (sextractor)
* Meant to be an internal library for use in a program like KStars for internal
  plate solving on all supported operating systems

%package        libs
Summary:        Shared library of StellarSolver

%description    libs
Shared library of Stellarsolver, meant to be an internal library for use in
a program like KStars for internal plate solving on all supported operating
systems.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%forgesetup


%build
%cmake -DBUILD_TESTER=ON
%cmake_build


%install
%cmake_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license LICENSE
%doc README.md
%{_bindir}/StellarSolverTester

%files libs
%license LICENSE
%doc README.md
%{_libdir}/*.so.%{major_soversion}
%{_libdir}/*.so.%{major_soversion}.%{minor_soversion}

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/StellarSolver/
%{_libdir}/pkgconfig/stellarsolver.pc

%changelog
* Fri Feb 11 2022 Mattia Verga <mattia.verga@protonmail.com> - 1.9-1.20220211git832bc60
- Update to 1.9

* Sat Mar 13 2021 Christian Dersch <lupinix@mailbox.org> - 1.6-0.1.20210313gitf3f1456
- initial package
